org.apache.ignite.internal.processors.cache.persistence.wal

## Interface AbstractWalRecordsIterator.AbstractFileDescriptor

All Known Implementing Classes:
  FileWriteAheadLogManager.FileDescriptor, FsyncModeFileWriteAheadLogManager.FileDescriptor

Enclosing class:
  AbstractWalRecordsIterator

    protected static interface AbstractWalRecordsIterator.AbstractFileDescriptor

### Method Summary

All Methods Instance Methods Abstract Methods
`File` `file()`
`long` `idx()`
`boolean` `isCompressed()`

### Method Detail

#### isCompressed

    boolean isCompressed()

#### file

    File file()

#### idx

    long idx()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018